Boolean (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Boolean

    java.lang.Object
      java.lang.Boolean

    @TransactionType(value=NOT_SUPPORTED)
    public final class Boolean

extends Object

The Boolean class wraps a value of the primitive type `boolean` in an object. An object of type `Boolean` contains a single field whose type is `boolean`.

Instances of the Boolean class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0

Field Summary
`static Boolean` | `FALSE` The `Boolean` object corresponding to the primitive value `false`.
`static Boolean` | `TRUE` The `Boolean` object corresponding to the primitive value `true`.

Constructor Summary
`Boolean(boolean value)` Allocates a `Boolean` object representing the `value` argument.

Method Summary
`boolean` | `booleanValue()` Returns the value of this `Boolean` object as a boolean primitive.
`boolean` | `equals(Object obj)` Returns `true` if and only if the argument is not `null` and is a `Boolean` object that represents the same `boolean` value as this object.
`int` | `hashCode()` Returns a hash code for this `Boolean` object.
`String` | `toString()` Returns a String object representing this Boolean's value.
`static Boolean` | `valueOf(boolean b)` Returns a `Boolean` instance representing the specified `boolean` value.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TRUE

    public static final Boolean TRUE

  The `Boolean` object corresponding to the primitive value `true`.

### FALSE

    public static final Boolean FALSE

  The `Boolean` object corresponding to the primitive value `false`.

Constructor Detail

### Boolean

    public Boolean(boolean value)

  Allocates a `Boolean` object representing the `value` argument.

  Parameters:
    `value` - the value of the `Boolean`.

Method Detail

### booleanValue

    public boolean booleanValue()

  Returns the value of this `Boolean` object as a boolean primitive.

  Returns:
    the primitive `boolean` value of this object.

### toString

    public String toString()

  Returns a String object representing this Boolean's value. If this object represents the value `true`, a string equal to `"true"` is returned. Otherwise, a string equal to `"false"` is returned.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this object.

### hashCode

    public int hashCode()

  Returns a hash code for this `Boolean` object.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the integer `1231` if this object represents `true`; returns the integer `1237` if this object represents `false`.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Returns `true` if and only if the argument is not `null` and is a `Boolean` object that represents the same `boolean` value as this object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with.
  Returns:
    `true` if the Boolean objects represent the same value; `false` otherwise.
  See Also:
    `hashCode()`, `Hashtable`

### valueOf

    public static Boolean valueOf(boolean b)

  Returns a `Boolean` instance representing the specified `boolean` value. If the specified `boolean` value is `true`, this method returns `Boolean.TRUE`; if it is `false`, this method returns `Boolean.FALSE`. If a new `Boolean` instance is not required, this method should generally be used in preference to the constructor `Boolean(boolean)`, as this method is likely to yield significantly better space and time performance.

  Parameters:
    `b` - a boolean value.
  Returns:
    a `Boolean` instance representing `b`.
  Since:
    JDK 1.4, CDC 1.1, Java Card 3.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.